#### 7.10.6.19 ncrepInvert

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  ncrep s = ncrepInvert(q);
  q of type ncrep

Return:
  representation of h = inv(f)
  if q is a representation of f

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y", "z"));
    ncrat f = ncratFromString("2*x*y");
    ncrep q = ncrepGet(f);
    ncrep s = ncrepInvert(q);
    print(s);
    ==> lvec=
    ==> 1,0,0,0,0
    ==>
    ==> mat=
    ==> 0,0, 0, 0,     1,
    ==> 0,0, 0, -1/2*x,1/2,
    ==> 0,0, -1,1/2,   0,
    ==> 0,-y,1, 0,     0,
    ==> 1,1, 0, 0,     0
    ==>
    ==> rvec=
    ==> 1,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.